PostgreSQL 9.3beta1 Documentation
Prev | Up |  | Next

# ROLLBACK

## Name

ROLLBACK -- abort the current transaction

## Synopsis

    ROLLBACK [ WORK | TRANSACTION ]

## Description

`ROLLBACK` rolls back the current transaction and causes all the updates made by the transaction to be discarded.

## Parameters

`WORK`
`TRANSACTION`

  Optional key words. They have no effect.

## Notes

Use COMMIT to successfully terminate a transaction.

Issuing `ROLLBACK` when not inside a transaction does no harm, but it will provoke a warning message.

## Examples

To abort all changes:

    ROLLBACK;

## Compatibility

The SQL standard only specifies the two forms `ROLLBACK` and `ROLLBACK WORK`. Otherwise, this command is fully conforming.

## See Also

BEGIN, COMMIT, ROLLBACK TO SAVEPOINT

Prev | Home | Next
REVOKE | Up | ROLLBACK PREPARED